h3#product-page-header-label {
    width: 100%;
    text-align: center;
}

div#product-page-main-container {
    position: relative;
}

button.buy-btn {
    margin-left: calc(50% - 85px);
}

div#product-page-picture-container {
    width: 400px;
    margin: 0px 20px 20px 20px;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.5);
    height: fit-content;
    display: flex;
}

.product-page-image {
    cursor: pointer;
    width: 100%;
    width: 400px;
}

div#product-page-buy-container {
    display: block;
    text-align: center;
}

div#product-page-info-container {
    margin-top: 100px;
}

div#product-page-details-container {
    margin: 30px 20px;
    flex-wrap: wrap;
}

label#product-page-details-description-label {
    font-size: 18px;
    font-weight: bold;
}

label#product-page-details-notes-label {
    font-size: 18px;
    font-weight: bold;
}

label.notes-header-value {
    margin-left: 10px;
}

label.notes-header-label {
    width: 20%;
}

div#product-page-buy-container {
    margin: 20px 0px;
}

.count-input {
    width: 100px;
    text-align: center;
    font-size: 20px;
}

div#product-count-container {
    margin: 20px 0px;
}

input[type="number"]::-webkit-inner-spin-button,
input[type="number"]::-webkit-outer-spin-button {
    opacity: 1;
}

.invisible {
    content-visibility: hidden;
    opacity: 0;
}

.dissappear {
    -webkit-animation-name: dissappear;
    -webkit-animation-duration: 2.5s;
    animation-name: dissappear;
    animation-duration: 2.5s;
}

.appear {
    -webkit-animation-name: appear;
    -webkit-animation-duration: 2.5s;
    animation-name: appear;
    animation-duration: 2.5s;
}

@keyframes appear {
    from {
        opacity: 0;
        content-visibility: hidden;
    }
    to {
        opacity: 1;
        content-visibility: visible;
    }
}

@-webkit-keyframes appear {
    from {
        opacity: 0;
        content-visibility: hidden;
    }
    to {
        opacity: 1;
        content-visibility: visible;
    }
}

@keyframes dissappear {
    from {
        opacity: 1;
        content-visibility: visible;
    }
    to {
        opacity: 0;
        content-visibility: hidden;
    }
}

@-webkit-keyframes dissappear {
    from {
        opacity: 1;
        content-visibility: visible;
    }
    to {
        opacity: 0;
        content-visibility: hidden;
    }
}
